classification
Title: Win32 compiler warning in _sha3
Type: enhancement Stage: resolved
Components: Build, Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: christian.heimes, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-11-07 15:41 by zach.ware, last changed 2013-11-18 04:10 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
sha3_compile_warning.diff zach.ware, 2013-11-07 15:41 Fix compiler warning review
Messages (5)
msg202344 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-11-07 15:41
There is only one remaining compiler warning on 32-bit Windows, see [1] (buildbot doubles warning counts on the Windows bots).

The warning is coming from Modules/_sha3/keccak/KeccakF-1600-opt32.c#l497, which uses extractLanes as defined on line 213.

The attached patch fixes the compiler warning, doesn't add any new ones, compiles, and doesn't break anything obvious.  I don't know enough about it to be confident in whether this is the right fix, so I'll leave it up to you, Christian :)

Thanks,

Zach


[1] http://buildbot.python.org/all/builders/x86%20Windows%20Server%202003%20%5BSB%5D%203.x/builds/1682/steps/compile/logs/warnings%20%282%29
msg202348 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-07 15:52
Thanks! I'll look into it.

I'd rather not change the reference implementation but in this case practicality beats purity. :)
msg203148 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-17 13:47
Go ahead! Although I'd rather follow upstream as close as possible, this one is harmless.
msg203243 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-18 04:08
New changeset 259c82332199 by Zachary Ware in branch 'default':
Issue #19520: Fix (the last!) compiler warning on 32bit Windows, in _sha3
http://hg.python.org/cpython/rev/259c82332199
msg203244 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-11-18 04:10
Thanks Christian, now committed.
History
Date User Action Args
2013-11-18 04:10:42zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg203244

stage: patch review -> resolved
2013-11-18 04:08:31python-devsetnosy: + python-dev
messages: + msg203243
2013-11-17 13:47:53christian.heimessetassignee: christian.heimes -> zach.ware
messages: + msg203148
stage: needs patch -> patch review
2013-11-07 15:52:06christian.heimessetassignee: christian.heimes
messages: + msg202348
2013-11-07 15:41:52zach.warecreate